<!-- custom_dialog_layout.xml -->
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:padding="16dp"
    android:layout_height="wrap_content">

    <LinearLayout
        android:layout_width="match_parent"
        android:background="@drawable/drw_dialog_bg"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:padding="16dp">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center_vertical">

                <ImageView
                    android:layout_width="48dp"
                    android:layout_height="48dp"
                    android:src="@mipmap/app_logo" />

                <TextView
                    android:id="@+id/dialog_title"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="16dp"
                    android:layout_marginEnd="16dp"
                    android:fontFamily="@font/medium_font"
                    android:text="@string/app_name"
                    android:textColor="@color/white"
                    android:textSize="16dp" />
            </LinearLayout>

            <RelativeLayout
                android:id="@+id/closeBtn"
                android:layout_width="48dp"
                android:layout_height="48dp"
                android:layout_alignParentEnd="true">

                <ImageView
                    android:layout_width="24dp"
                    android:layout_height="24dp"
                    android:layout_alignParentEnd="true"
                    android:src="@drawable/cha_icon" />

            </RelativeLayout>
        </RelativeLayout>

        <androidx.core.widget.NestedScrollView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="16dp"
            android:layout_marginBottom="16dp">

            <TextView
                android:id="@+id/dialog_content"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:fontFamily="@font/regular_font"
                android:text="@string/app_name"
                android:textColor="@color/white_60"
                android:textSize="14dp" />

        </androidx.core.widget.NestedScrollView>

        <LinearLayout
            android:layout_width="match_parent"
            android:visibility="gone"
            android:layout_height="40dp"
            android:gravity="center_vertical">

            <View
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1" />

            <TextView
                android:id="@+id/dialog_cancel_btn"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:fontFamily="@font/medium_font"
                android:gravity="center"
                android:paddingStart="16dp"
                android:paddingEnd="16dp"
                android:text="@string/cancel"
                android:textColor="@color/white_60"
                android:textSize="16dp"
                android:visibility="gone" />

            <TextView
                android:id="@+id/dialog_ok_btn"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_marginStart="16dp"
                android:fontFamily="@font/medium_font"
                android:gravity="center"
                android:paddingStart="16dp"
                android:paddingEnd="16dp"
                android:text="@string/ok"
                android:textColor="@color/white"
                android:textSize="16dp" />

        </LinearLayout>
    </LinearLayout>

</LinearLayout>
